wiki-scripts documentation

wiki-scripts is a collection of scripts automating common maintenance tasks on ArchWiki. The underlying ws module is general and reusable on any wiki powered by MediaWiki.

Installation

Get the latest development version by cloning the git repository:

git clone git@github.com:lahwaacz/wiki-scripts.git
cd wiki-scripts

Alternatively download a tarball of the latest stable release.

There is no package on PyPI or any other repository yet, all dependencies have to be installed manually.

Requirements

The following are required only by some scripts:

  • WikEdDiff (for highlighting differences between revisions in interactive mode)
  • Pygments (alternative highlighter when WikEdDiff is not available)
  • pyalpm (for update-package-templates.py)
  • NumPy and matplotlib (for statistics_histograms.py)

Optional dependencies:

Dependencies for running the tests:

Other tools used for development:

Acknowledgement

There is a list of client software maintained on mediawiki.org, many of them are quite inspirational.

Indices and tables